<html>
  <head>
    <title> Sistema de Control de Donaciones - Fundación Eduacional Loyola </title>
    <%= stylesheet_link_tag 'application' %>
    <%= stylesheet_link_tag 'nifty_corners' %>
    <%= javascript_include_tag :defaults %>
    <%= javascript_include_tag 'niftycube' %>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">

    <script type="text/javascript">
      window.onload=function(){
        Nifty("div#barra_lateral","br,big");
        Nifty("div#barra_superior","br,big");
        Nifty("div.contenido");
        Nifty("div.errorExplanation");
      }
    </script>


  </head>

  <body>

    <div id='principal'>
      <%= yield %>
      <p style='color: green'> <%= flash[:notice] %> </p>
    </div>

    <div id='barra_lateral'>
      <%= image_tag "logo.png" %>

      <h1>Procesos</h1>
      <ul>
        <li><%= link_to_if_authorized 'Iniciar', :controller => :procesos, :action => :iniciar %></li>
        <li><%= link_to_if_authorized 'Listar', :controller => :procesos, :action => :listar %></li>
      </ul>

      <h1>Personas</h1>
      <ul>
        <li><%= link_to_if_authorized 'Agregar', :controller => :personas, :action => :agregar %></li>
        <li><%= link_to_if_authorized 'Listar', :controller => :personas, :action => :listar %></li>
        <li>
        <% form_tag :action => :buscar, :controller => :personas, :method => 'get' do %> 
        <%= text_field :consulta, :nombre, :size => 15 %>
        <%= submit_tag 'Buscar' %>
        <% end %>
      </ul>

      <h1>Administración</h1>
      <ul>
        <li><%= link_to_if_authorized 'Bancos', :controller => :bancos, :action => :listar %></li>
        <li><%= link_to_if_authorized 'Comunas', :controller => :comunas, :action => :listar %></li>
        <li><%= link_to_if_authorized 'Respuestas', :controller => :respuestas, :action => :listar %></li>
        <li><%= link_to_if_authorized 'Proyectos', :controller => :proyectos, :action => :listar %></li>
        <li><%= link_to_if_authorized 'Monedas', :controller => :monedas, :action => :listar %></li>
        <!--        <li><%= link_to_if_authorized 'Tipos de cambio', :controller => :tipos_de_cambio, :action => :principal %></li>-->
        <li><%= link_to_if_authorized 'Tipos de tarjeta', :controller => :tipos, :action => :listar %></li>
        <li><%= link_to_if_authorized 'Reencriptar tarjetas', {:controller => :tarjetas, :action => :reencriptar_tarjetas} %>
      </ul>

      <h1>Usuarios</h1>
      <ul>
        <li><%= link_to_if_authorized 'Listar', :controller => :usuarios, :action => :listar %></li>
        <li><%= link_to_if_authorized 'Agregar', :controller => :usuarios, :action => :agregar %></li>
        <li><%= link_to_if_authorized 'Roles', :controller => :roles, :action => :listar %></li>
      </ul>

      <h1>Mi cuenta (<%=nombre_de_usuario %>)</h1>
      <ul>
        <li><%= link_to_if_authorized 'Cambiar password', :controller => :mi_cuenta, :action => :cambiar_password %>
        <li><%= link_to_if_authorized 'Salir', :controller => :login, :action => :salir %></li>
      </ul>
    </div>


    <div id='barra_superior'>
      <div id="titulo">Sistema de Control de Donaciones</div>
      <div id="fundacion">Fundación Educacional Loyola</div>
    </div>



  </body>

</html>
